package tools.descartes.prisma.agent.wildfly.callstack;

import java.util.ArrayDeque;
import java.util.Deque;

public class ThreadCallStack {

	private static final ThreadLocal<Deque<InvocationGroupRecord>> callStack = new ThreadLocal<Deque<InvocationGroupRecord>>() {
		protected Deque<InvocationGroupRecord> initialValue() {
			return new ArrayDeque<InvocationGroupRecord>(10);
		};
	};
	
	public static Deque<InvocationGroupRecord> get() {
		return callStack.get();
	}
}
