package tools.descartes.prisma.agent.wildfly.callstack.impl;

import tools.descartes.prisma.agent.wildfly.callstack.ComponentRecord;
import tools.descartes.prisma.agent.wildfly.callstack.InterfaceRecord;
import tools.descartes.prisma.agent.wildfly.callstack.InvocationGroupRecord;
import tools.descartes.prisma.agent.wildfly.callstack.OperationRecord;
import tools.descartes.prisma.agent.wildfly.callstack.TraceVisitor;

public class FilteredInterfaceRecord extends InterfaceRecord {

	public FilteredInterfaceRecord(ComponentRecord component, String interf) {
		super(component, interf);
	}

	@Override
	public OperationRecord requireOperation(String operation) {
		return new FilteredOperationRecord(this, operation);
	}

	@Override
	public boolean isFiltered() {
		return true;
	}
	
	@Override
	public void accept(TraceVisitor visitor, InvocationGroupRecord source) {
//		System.out.println("Filtered interface " + getInterfaceName());
		// Filtered
	}
	
}
