package tools.descartes.prisma.agent.wildfly.callstack.impl;

import tools.descartes.prisma.agent.wildfly.callstack.InterfaceRecord;
import tools.descartes.prisma.agent.wildfly.callstack.InvocationGroupRecord;
import tools.descartes.prisma.agent.wildfly.callstack.OperationRecord;
import tools.descartes.prisma.agent.wildfly.callstack.TraceVisitor;

public class FilteredOperationRecord extends OperationRecord {
	
	private final FilteredInvocationGroupRecord group = new FilteredInvocationGroupRecord(this, "");

	public FilteredOperationRecord(InterfaceRecord interf, String operation) {
		super(interf, operation);
	}

	@Override
	public boolean isFiltered() {
		return true;
	}
	
	@Override
	public void accept(TraceVisitor visitor, InvocationGroupRecord source) {
//		System.out.println("Filtered operation " + getOperationName());
		// Filtered		
	}

	@Override
	public InvocationGroupRecord requireInvocationGroup(int idx) {
		return group;
	}

}
